%define libname_orig libexpat
%define major 1
%define libname %mklibname expat %{major}
%define devname %mklibname -d expat %{major}

Summary:	XML parser written in C
Name:		expat
Version:	2.1.1
Release:	%mkrel 1
License:	MPL or GPL
Group:		Text tools
URL:		http://www.libexpat.org
Source0:	http://prdownloads.sourceforge.net/expat/expat-%{version}.tar.xz

%description
Expat is an XML 1.0 parser written in C by James Clark.  It aims to be
fully conforming. It is currently not a validating XML parser.

%package -n %{libname}
Summary:	Main library for expat
Group:		System/Libraries

%description -n %{libname}
This package contains the library needed to run programs dynamically
linked with expat.

%package -n %{devname}
Summary:	Development environment for the expat XML parser
Group:		Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:	%{libname_orig}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%{mklibname expat -d 0}
Provides:	%{mklibname expat -d 0} = %{version}-%{release}

%description -n %{devname}
Development environment for the expat XML parser.

%prep

%setup -q

%build

%configure2_5x --disable-static
%make

%check
make check

%install
rm -rf %{buildroot}

%makeinstall_std mandir=%{buildroot}%{_mandir}/man1

rm -f %{buildroot}%{_libdir}/libexpat.la

%files
%{_bindir}/xmlwf
%{_mandir}/man*/*

%files -n %{libname}
%{_libdir}/libexpat.so.%{major}*

%files -n %{devname}
%doc doc/reference.html
%{_libdir}/libexpat.so
%{_includedir}/expat.h
%{_includedir}/expat_config.h
%{_includedir}/expat_external.h
%{_libdir}/pkgconfig/expat.pc



%changelog
* Sat Apr 23 2016 bb <bb> 2.1.1-1pclos2016
- update

* Mon Jun 03 2013 Texstar <texstar at gmail.com> 2.1.0-1pclos2013
- 2.1.0

* Wed Aug 24 2011 Texstar <texstar at gmail.com> 2.0.1-4pclos2011
- disable static remove .la files
- convert source to tar.xz

* Wed Dec 08 2009 Texstar <texstar at gmail.com> 2.0.1-3pclos2010
- gcc update
- security update

